

/** ===========================================================================
	* Config
	* ======
	* The idea of this class is to send it into the constructor, instead of
	* having long and confusing argument lists.  This also keeps JSX features
	* clearly distinct from the Java Serialization API.
	* Good to add setters, for usage like:
	*  Config c = new Config().aliasesUsed(true).IDsUsed(true);
	*
	* If there ends up being sub-sets of functionality, we'd have a reference
	* to an object handling that.  This will serialize to XML nicely.  We
	* might end up doing something like this:
	*  Config c = (Config) JSX.ObjIn(new FileReader("cyclicConfig.jsx"));
	**/

package JSX;

class Config {
	public boolean areAliasesUsed;
	public boolean areIDsUsed;

	public Config aliasesUsed(boolean areAliasesUsed) {
		this.areAliasesUsed = areAliasesUsed;
		return this;
	}
	public Config IDsUsed(boolean areIDsUsed) {
		this.areIDsUsed = areIDsUsed;
		return this;
	}
}
