/** (c) Brendan Macmillan 2001, licensed under GNU's GPL 2 */
/** (Also available for non-GPL, commercial use, for fee) */
/** Website: http://www.csse.monash.edu.au/~bren/JSX
/** Website: http://freshmeat.net/projects/jsx


/** ===========================================================================
	* ParseUtilities
	* ==============
	* Correctly parses NaN, Infinity and -Infinity of floating point numbers
	* (float and double).  I wonder why the standard versions do not do this
	* already?
	*
	* Based on a code patch submitted by Mark Collette, 11 Jul 2001
	**/
package JSX;

class ParseUtilities {
	public static boolean parseBoolean(String in) {
		String s = in.trim();
		if (s.equalsIgnoreCase("false")) return false;
		else if (s.equalsIgnoreCase("true")) return true;
		else
			throw new IllegalArgumentException("Boolean must be 'true' or 'false'; not '"
				+s+"')");
			//superclass of NumberFormatException
	}
	public static float parseFloat(String in) {
		String s = in.trim();
		if( s.equals("NaN") ) return Float.NaN;
		else if( s.equals("Infinity") ) return Float.POSITIVE_INFINITY;
		else if( s.equals("-Infinity") ) return Float.NEGATIVE_INFINITY;
		else return Float.parseFloat(s);
	}

	public static double parseDouble(String s) {
		if( s.equals("NaN") ) return Double.NaN;
		else if( s.equals("Infinity") ) return Double.POSITIVE_INFINITY;
		else if( s.equals("-Infinity") ) return Double.NEGATIVE_INFINITY;
		else return Double.parseDouble(s);
	}

}

