/* 
 * $RCSfile: Projector.java,v $
 * $Author: egonw $
 * $Date: 2001/05/07 21:09:05 $
 * $Revision: 1.2 $
 * 
 * Copyright (C) 1997-2001  The Chemistry Development Kit (CDK) project
 * 
 * Contact: steinbeck@ice.mpg.de, gezelter@maul.chem.nd.edu, egonw@sci.kun.nl
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * All we ask is that proper credit is given for our work, which includes
 * - but is not limited to - adding the above copyright notice to the beginning
 * of your source code files, and to any copyright notice that you may distribute
 * with programs based on this work.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  */
package org.openscience.cdk.tools;

import org.openscience.cdk.*;

/**
 * Tool to make projections from 3D to 2D
 */
public class Projector implements CDKConstants {
  
  public static void project2D(Molecule m) {
    for (int i = 0; i < m.getAtomCount(); i++) {
      Atom a = m.getAtomAt(i);
      if (a.getPoint3D() != null) {
        a.setX2D(a.getX3D());
        a.setY2D(a.getY3D());
      } else {
        // should throw an exception
      }
    }
  }
}
