/** "Deser", a testsuite tool for JSX, created by Erwin.
  * Reflection and minor enhancements by Brendan Macmillan, 12 May 2001 (GPL)
	*
	* This automatically invokes testcode (in main()) of any JSX serialized
	* objects to be automatically invoked, to confirm that the deserialization
	* was successful.
	* To be used with XML created by "Ser"
	**/

import java.io.*;
import java.lang.reflect.*;

public class Deser {
	public static void main(String[] args) {
		if(args.length != 1) {
			System.out.println("usage: java Deser <object> <args for object main()>");
		} else {
			try {
				FileReader reader = new FileReader(new File(args[0]+".xml"));
				JSX.ObjIn in = new JSX.ObjIn(reader);
				Object obj = in.readObject();		//now, we can test any object
				System.out.println("Deserialization successful; attempting to run test code...");
				String[] params = {""};
				invokeMain(obj, params);
			System.out.println("Depending on target object, you may need to press control-C to exit");
 			} catch (Exception exp) {
				System.out.println("------------ Begin Exception ------------ ");
				System.out.println(exp);
				System.out.println("------------ End Exception ------------ ");
			}
		}
	}

	public static void invokeMain(Object target, String[] args) { //type promotion
		//(1). identifying signature (key) is name + argument types.
		//(We could do pre-cache this statically, if we were going to reuse it)
		String methodName = "main";
		Class[] argTypes = {String[].class};	//NB: 2 levels of args...
		Class clazz = target.getClass();
		try {
			java.lang.reflect.Method method = clazz.getMethod(methodName, argTypes);
			method.invoke(target, new Object[] {args});	//NB: 2 levels of args...
		} catch (NoSuchMethodException e) {
			System.err.println("Could not run test code; the "+ clazz +" lacks a main(String[] args).");
			System.exit(0);
		} catch (Exception e) {	//fall through
			e.printStackTrace();
			System.err.println("methodName: "+ methodName);
			System.err.println("argTypes: "+ argTypes);
			System.exit(0);
		}
	}
}//class

