import java.io.*;
import java.lang.reflect.*;

class ProxyTest {
		transient ClassLoader classLoader;
		Class[] interfaces;
		InvocationHandler handler;
 	ProxyTest() throws Exception {
		interfaces = new Class[] { Foo.class };
			//what if two classes, the first from a child loader, second from a
			//parent loader?
		classLoader = interfaces[0].getClassLoader();
			//assumes that we already got the same class
		handler = new Handler();
		Foo f = (Foo) Proxy.newProxyInstance(classLoader,
                                          interfaces,
                                          handler);
	 /*  To serialize, need to: be able to recreate.
		* This means: ClassLoader, Class[] and handler.
		* In a nutshell, serializing the "contructor" arguments.
		*  *can* a classloader be serialized?  Let's try it!
		*/
		new JSX.ObjOut().writeObject(this);
		f.hello();
		f.hello("you");
	}
 	public static void main(String[] args) throws Exception {
		new ProxyTest();
	}
}

interface Foo {
	void hello();
	void hello(String a);
}

class Handler implements InvocationHandler {
	String someState = "somevalue";
	public Object invoke(Object proxy,
                     Method method,
                     Object[] args)
              throws Throwable {
	//	System.err.println(proxy);	//invokes toString, which comes here...
		System.err.println(method);
		System.err.println(args);
		System.err.println("hello");
		return null;
	}
}
